# DataExchange
TKSTEPBase
StepGeom

# StepGeom_BezierCurveAndRationalBSplineCurve Class Reference

`#include <StepGeom_BezierCurveAndRationalBSplineCurve.hxx>`

Inheritance diagram for StepGeom_BezierCurveAndRationalBSplineCurve:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_BezierCurveAndRationalBSplineCurve ()
| Returns a BezierCurveAndRationalBSplineCurve .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aDegree, const Handle(StepGeom_HArray1OfCartesianPoint)&aControlPointsList, const StepGeom_BSplineCurveForm aCurveForm, const StepData_Logical aClosedCurve, const StepData_Logical aSelfIntersect)

virtual Standard_EXPORT void

Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aDegree, const Handle(StepGeom_HArray1OfCartesianPoint)&aControlPointsList, const StepGeom_BSplineCurveForm aCurveForm, const StepData_Logical aClosedCurve, const StepData_Logical aSelfIntersect, const Handle(StepGeom_BezierCurve)&aBezierCurve, const Handle(StepGeom_RationalBSplineCurve)&aRationalBSplineCurve)

virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aDegree, const Handle(StepGeom_HArray1OfCartesianPoint)&aControlPointsList, const StepGeom_BSplineCurveForm aCurveForm, const StepData_Logical aClosedCurve, const StepData_Logical aSelfIntersect, const Handle(TColStd_HArray1OfReal)&aWeightsData)
Standard_EXPORT void | SetBezierCurve (const Handle(StepGeom_BezierCurve)&aBezierCurve)
Standard_EXPORT Handle_StepGeom_BezierCurve | BezierCurve () const
Standard_EXPORT void | SetRationalBSplineCurve (const Handle(StepGeom_RationalBSplineCurve)&aRationalBSplineCurve)
Standard_EXPORT Handle_StepGeom_RationalBSplineCurve | RationalBSplineCurve () const
Standard_EXPORT void | SetWeightsData (const Handle(TColStd_HArray1OfReal)&aWeightsData)
Standard_EXPORT Handle_TColStd_HArray1OfReal | WeightsData () const
Standard_EXPORT Standard_Real | WeightsDataValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbWeightsData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_BezierCurve | bezierCurve
Handle_StepGeom_RationalBSplineCurve | rationalBSplineCurve

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_BezierCurveAndRationalBSplineCurve::StepGeom_BezierCurveAndRationalBSplineCurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_BezierCurve StepGeom_BezierCurveAndRationalBSplineCurve::BezierCurve | ( |  | ) | const

Standard_EXPORT const StepGeom_BezierCurveAndRationalBSplineCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_BSplineCurve.

virtual Standard_EXPORT void StepGeom_BezierCurveAndRationalBSplineCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aDegree,
|  | const Handle(StepGeom_HArray1OfCartesianPoint)& | aControlPointsList,
|  | const StepGeom_BSplineCurveForm | aCurveForm,
|  | const StepData_Logical | aClosedCurve,
|  | const StepData_Logical | aSelfIntersect,
|  | const Handle(TColStd_HArray1OfReal)& | aWeightsData
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_BezierCurveAndRationalBSplineCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aDegree,
|  | const Handle(StepGeom_HArray1OfCartesianPoint)& | aControlPointsList,
|  | const StepGeom_BSplineCurveForm | aCurveForm,
|  | const StepData_Logical | aClosedCurve,
|  | const StepData_Logical | aSelfIntersect,
|  | const Handle(StepGeom_BezierCurve)& | aBezierCurve,
|  | const Handle(StepGeom_RationalBSplineCurve)& | aRationalBSplineCurve
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_BezierCurveAndRationalBSplineCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aDegree,
|  | const Handle(StepGeom_HArray1OfCartesianPoint)& | aControlPointsList,
|  | const StepGeom_BSplineCurveForm | aCurveForm,
|  | const StepData_Logical | aClosedCurve,
|  | const StepData_Logical | aSelfIntersect
| ) | `[virtual]`

| Reimplemented from StepGeom_BSplineCurve.

Standard_EXPORT Standard_Integer StepGeom_BezierCurveAndRationalBSplineCurve::NbWeightsData | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_RationalBSplineCurve StepGeom_BezierCurveAndRationalBSplineCurve::RationalBSplineCurve | ( |  | ) | const

Standard_EXPORT void StepGeom_BezierCurveAndRationalBSplineCurve::SetBezierCurve | ( | const Handle(StepGeom_BezierCurve)& | aBezierCurve | ) |

Standard_EXPORT void StepGeom_BezierCurveAndRationalBSplineCurve::SetRationalBSplineCurve | ( | const Handle(StepGeom_RationalBSplineCurve)& | aRationalBSplineCurve | ) |

Standard_EXPORT void StepGeom_BezierCurveAndRationalBSplineCurve::SetWeightsData | ( | const Handle(TColStd_HArray1OfReal)& | aWeightsData | ) |

Standard_EXPORT Handle_TColStd_HArray1OfReal StepGeom_BezierCurveAndRationalBSplineCurve::WeightsData | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_BezierCurveAndRationalBSplineCurve::WeightsDataValue | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_StepGeom_BezierCurve StepGeom_BezierCurveAndRationalBSplineCurve::bezierCurve`[private]`

Handle_StepGeom_RationalBSplineCurve StepGeom_BezierCurveAndRationalBSplineCurve::rationalBSplineCurve`[private]`

The documentation for this class was generated from the following file:

- StepGeom_BezierCurveAndRationalBSplineCurve.hxx